{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.mothball": {
			"states": {
				"default": {
					"transitions": [{
						"walking": "(1.0)"
					}],
					"on_entry": [
						"/effect @e[r=4,tag=!gas_mask] nausea 4 0 true"
					]
				},
				"walking": {
					"transitions": [{
						"default": "(1.0)"
					}],
					"on_entry": [
						"/effect @e[r=4,type=bee] wither 4 1 true",
						"/effect @e[r=4,type=spider] wither 4 1 true",
						"/effect @e[r=4,type=cave_spider] wither 4 1 true",
						"/effect @e[r=4,type=silverfish] wither 4 1 true",
						"/effect @e[r=4,type=endermite] wither 4 1 true"
					]
				}
			}
		}
	}
}